You are not logged in.

#1 2013-11-09 07:10:43

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

[kde-unstable] KDE SC 4.12

Hi all,
it's again time for a new major release of KDE.

The first beta of the 4.12 series has been released.
As usual, you find the packages in the [kde-unstable] repo, which only contains beta/rc releases.
Read install instruction from here.

NOTE: It requires [testing] enabled.

Packages changes:
* kdeartwork-sounds has been removed from the KDE SC.

Please report any packaging bug to our bug tracker.

KDE bugs go in the upstream bug tracker.
Have a nice update and testing!

See the list of known issues.

Offline

#2 2013-11-09 09:39:33

ontobelli
Member
From: Mexico City
Registered: 2011-02-06
Posts: 127

Re: [kde-unstable] KDE SC 4.12

Thank you Scarpino!

Until now just one issue but not sure if it is KDE or NVIDIA specific.

NVIDIA 331.20 and Kwin OpenGL is not always active and freezes PC if I change some settings in Desktop Effects.

Tested with kernel 3.12.0

Last edited by ontobelli (2013-11-09 09:40:03)

Offline

#3 2013-11-09 12:12:57

afiestas
Member
Registered: 2008-12-28
Posts: 18

Re: [kde-unstable] KDE SC 4.12

You are awesome dude! thanks for the good work.

Offline

#4 2013-11-11 10:19:25

haagch
Member
Registered: 2013-08-17
Posts: 206

Re: [kde-unstable] KDE SC 4.12

Can anyone with mesa-git enable compositing?

gpu acceleration / webgl also doesn't work in chromium but I still thought I'd ask here because OpenGL in general works (xonotic) and compositing in gnome-shell and xfwin4 both work, but kwin segfaults when enabling opengl compositing, only xrender compositing works.

Edit: Intel ivy bridge

Edit2: Ok, I compiled mesa git myself and it doesn't crash. So it's not kwin's fault.

Last edited by haagch (2013-11-12 11:09:42)

Offline

#5 2013-11-30 11:56:39

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 312

Re: [kde-unstable] KDE SC 4.12

Now yes:

https://projects.archlinux.org/svntogit … ckages/qt5 is outdated (md5sum missmatch and not apply in qt5-5.2-rc1)

greetings

Offline

#6 2013-11-30 12:51:16

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE SC 4.12

sl1pkn07 wrote:

Now yes:

https://projects.archlinux.org/svntogit … ckages/qt5 is outdated (md5sum missmatch and not apply in qt5-5.2-rc1)

That's qt5 in [extra], for [kde-unstable] see https://projects.archlinux.org/svntogit … ckages/qt5

Offline

#7 2013-11-30 14:32:33

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 312

Re: [kde-unstable] KDE SC 4.12

oh. thanks!

Offline

#8 2013-11-30 22:11:34

haagch
Member
Registered: 2013-08-17
Posts: 206

Re: [kde-unstable] KDE SC 4.12

What's the status of qtwayland?
qmake-qt5 in the master branch says "Checking for egl... yes" but it doesn't compile. With the dev and stable branches it says "Checking for egl... no" and I guess this is correct? Does qt still need -egl -gles etc?

Offline

#9 2013-12-01 07:48:09

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE SC 4.12

haagch wrote:

What's the status of qtwayland?
qmake-qt5 in the master branch says "Checking for egl... yes" but it doesn't compile. With the dev and stable branches it says "Checking for egl... no" and I guess this is correct? Does qt still need -egl -gles etc?

Yes, you need to rebuild Qt5 with -opengl es2. Unfortunately I cannot set that as default as it seems to cause regressions on PCs.

Offline

#10 2013-12-05 01:36:25

hussam
Member
Registered: 2006-03-26
Posts: 522
Website

Re: [kde-unstable] KDE SC 4.12

kdebase-katepart depends on libkateinterfaces.so.4 which is part of kdesdk-kate

/usr/lib/kde4/katetextfilterplugin.so:
	libkateinterfaces.so.4 => not found
/usr/lib/kde4/katekonsoleplugin.so:
	libkateinterfaces.so.4 => not found
/usr/lib/kde4/kateprojectplugin.so:
	libkateinterfaces.so.4 => not found
/usr/lib/kde4/katefilebrowserplugin.so:
	libkateinterfaces.so.4 => not found
/usr/lib/kde4/katetabbarextensionplugin.so:
	libkateinterfaces.so.4 => not found
/usr/lib/kde4/katefiletemplates.so:
	libkateinterfaces.so.4 => not found
/usr/lib/kde4/katexmltoolsplugin.so:
	libkateinterfaces.so.4 => not found
/usr/lib/kde4/kategdbplugin.so:
	libkateinterfaces.so.4 => not found
/usr/lib/kde4/katemailfilesplugin.so:
	libkateinterfaces.so.4 => not found
/usr/lib/kde4/katetabifyplugin.so:
	libkateinterfaces.so.4 => not found
/usr/lib/kde4/katebacktracebrowserplugin.so:
	libkateinterfaces.so.4 => not found

and

 namcap kdebase-katepart-4.11.97-1-x86_64.pkg.tar.xz 
kdebase-katepart W: Referenced library 'libkateinterfaces.so.4' is an uninstalled dependency
kdebase-katepart E: Dependency qjson detected and not included (libraries ['usr/lib/libqjson.so.0'] needed in files ['usr/lib/kde4/kateprojectplugin.so'])

any way to do some magic to move libkateinterfaces.so.4 from kdesdk-kate to kdebase-katepart? smile

Offline

#11 2013-12-06 13:50:18

Hector
Member
Registered: 2012-09-18
Posts: 16

Re: [kde-unstable] KDE SC 4.12

What about kdebase-workspace ? It is still needed ? I have 4.11.4 , should I remove it ?

Offline

#12 2013-12-06 13:52:07

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE SC 4.12

hussam wrote:

any way to do some magic to move libkateinterfaces.so.4 from kdesdk-kate to kdebase-katepart?

Uhm...this should be fixed upstream. I'll report it.

Hector wrote:

What about kdebase-workspace ? It is still needed ? I have 4.11.4 , should I remove it ?

Of course you need it as it contains plasma, kwin, kdm and a lot of stuff. kde-workspace 4.11 is LTS. There will not be any 4.12 releases, but 4.11 minor releases.

Offline

#13 2013-12-13 20:15:30

hussam
Member
Registered: 2006-03-26
Posts: 522
Website

Re: [kde-unstable] KDE SC 4.12

scarpino wrote:
hussam wrote:

any way to do some magic to move libkateinterfaces.so.4 from kdesdk-kate to kdebase-katepart?

Uhm...this should be fixed upstream. I'll report it.

Did you report it? Can we please have the bug report number? smile

Offline

#14 2013-12-14 07:22:49

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE SC 4.12

hussam wrote:

Did you report it? Can we please have the bug report number? smile

No I didn't because on a second look this is a packaging bug: we were shipping kate plugins and kate plasmoid in the kdebase-katepart package. Fixed in 4.12.0-1.

Offline

#15 2013-12-17 08:03:05

hussam
Member
Registered: 2006-03-26
Posts: 522
Website

Re: [kde-unstable] KDE SC 4.12

I think korgac isn't being installed?

Offline

#16 2013-12-17 11:27:12

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE SC 4.12

hussam wrote:

I think korgac isn't being installed?

Thanks, it will be part of korganizer in 4.12.0

Offline

Board footer

Powered by FluxBB